Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1277818 (vowpal-wabbit)

Summary: Review Request: vowpal-wabbit - Fast and efficient machine learning system
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: igor.raits, package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-22 07:30:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Igor Gnatenko 2015-11-04 06:44:19 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/vowpal-wabbit.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/vowpal-wabbit-8.1-1.fc24.src.rpm
Description:
The Vowpal Wabbit (VW) project is a fast out-of-core learning system sponsored
by Microsoft Research and (previously) Yahoo! Research.
Fedora Account System Username: ignatenkobrain

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-26 20:50:58 UTC
Please extend the %description to say what this package actually does. Who sponsors the project is something that is not normally included in the %description.

Since you install stuff in %{_libdir}, add scriptlets [https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries].

Version 8.1.1 is out.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-29 02:33:35 UTC
/bin/vw-regr uses ruby. It has #!/usr/bin/env ruby in the header, and there are no dependencies on ruby.

/bin/vm-hypersearch has /usr/bin/env perl, it should have /usr/bin/perl.

Are you sure that active_interactor, ezexample_*, library_exmaple, spanning_tree should be installed in /bin? Maybe those examples should go in /usr/share/doc to avoid polluting the $PATH.

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-03-05 22:31:28 UTC
What's up with this one?

Comment 6 Igor Raits 2018-08-22 07:30:10 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.